fuss-client - Segnalazione #811

Join impossibile offline
05/15/2019 03:58 PM - Marco Marinello

Status: Nuovo
Priority: Normale
Assignee: Paolo Dongilli
Category:

Target version:

Start date: 05/15/2019
Due date:

% Done: 0%
Estimated time: 0.00 hour

Description

Viene segnalato durante la riunione dei tecnici come la necessita di essere collegati ad internet per effettuare il join della macchina

sia spesso problematico.

Si potrebbe ad es. scaricare con rsync il repo da archive.fuss.bz.it sul server locale?

History

#1 - 05/16/2019 11:06 AM - Markus Pfeifer

Marco Marinello ha scritto:

Viene segnalato durante la riunione dei tecnici come la necessita di essere collegati ad internet per effettuare il join della macchina sia spesso

problematico.

Si potrebbe ad es. scaricare con rsync il repo da archive.fuss.bz.it sul server locale?

Mi sa che non bastera aver soltanto il repository di archive.fuss.bz.it sul server. Lo script ansible, a quanto mi pare, richiede anche lo scaricamento di

altri componenti dal repository di Debian.

Saluti
Markus.

#2 - 05/16/2019 06:59 PM - Marco Marinello

Hai ragione Markus. Me ne ero dimenticato.

Si potrebbe come per il fuss-server avere un pacchetto fuss-client-dependencies con tutti i pacchetti che scarica ansible e poi tenere nell'archivio del

server quello con tutte le sue dipendenze.

#3 - 05/17/2019 12:44 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Elena Grandi

#4 - 05/17/2019 01:25 AM - Paolo Dongilli

Provo ad avanzare qualche soluzione
1) le immagini dei client potrebbero incorporare il pacchetto local-apt-repository e nella dir /srv/local-apt-repository si dovrebbero scaricare i .deb
necessari al completamento di fuss-client. Tali .deb andrebbero periodicamente aggiornati.

2) come suggerito nella descrizione del precedente pacchetto, invece, per creare dei repository lato server, da
esplorare sono reprepro e apt-ftparchive (apt-utils)

#5 - 05/17/2019 09:06 AM - Elena Grandi

segnalo che il pacchetto fuss-client-dependencies gia esiste (potrebbe esserci da verificare che non si sia perso l'allineamento con le dipendenze
installate da ansible).

Per il resto ci sono varie soluzioni, ne parlo anche con gli altri per decidere cosa possa essere meglio per le esigenze.

(P.S. reprepro & cid che viene gia usato per generare / gestire archive.fuss.bz.it)

#6 - 05/17/2019 12:42 PM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Dongilli

Per capire che soluzione si possa proporre, mi serve capire meglio la situazione di chi sta facendo le installazioni.

In particolare, se la connessione ad internet c'€, ma & lenta ed € meglio usarla meno possibile, basta controllare che fuss-client-dependencies sia
aggiornato con tutti i pacchetti (e preinstallato sulle immagini), in modo da non dover effettuare nessun download significativo.

Se pero esistono situazioni in cui ci sono il fuss-server funzionante, i vari client ad esso collegato, ma nessun tipo di connessione verso l'esterno, c'e
il problema che fuss-client effettua all'inizio un apt update per verificare di avere le versioni attuali degli indici dei pacchetti.

Non & un download di grosse dimensioni, ma ovviamente richiede un qualche tipo di connettivita, per quanto scarsa: se anche questo &€ un problema

si devono cercare soluzioni alternative, probabilmente nella direzione di un mirror locale (per questo si possono guardare reprepro, ma anche
eventualmente apt-cacher-ng — del quale perd va verificato il funzionamento offline).
